unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, TeEngine, TeeProcs, Chart, StdCtrls, TeeEdit, Series;

type
  TForm3 = class(TForm)
    Button1: TButton;
    Chart1: TChart;
    Series1: TBarSeries;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }

    Image: TImage;
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

uses teestore;

{$R *.dfm}

procedure TForm3.Button1Click(Sender: TObject);
var
  ABitmap: TBitmap;
  AStream: TMemoryStream;
begin
  AStream := TMemoryStream.Create;

  //works Chart1.Color := clRed;

  SaveChartToStream(Chart1, AStream, false, true);

  AStream.Position := 0;
  LoadChartFromStream(TCustomChart(Chart1), AStream);
  Chart1.Series[0].FillSampleValues(5);

//works  ABitmap := Chart1.TeeCreateBitmap(TColor($FEFEFE), Chart.GetRectangle);
  ABitmap := Chart1.TeeCreateBitmap;
  Image.Picture.Bitmap := ABitmap;

  AStream.Free;

end;

procedure TForm3.FormCreate(Sender: TObject);
begin

  Image := TImage.Create(self);
  Image.Parent := Form3;
  Image.BoundsRect := Chart1.BoundsRect;
  Image.Top := Chart1.Height;


end;

end.
